Bug 303685 - cannot set "toggle auto" back to "none" in tags filter
Summary: cannot set "toggle auto" back to "none" in tags filter
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Tags-Engine (show other bugs)
Version: 2.7.0
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-17 15:42 UTC by Patrick Scharrenberg
Modified: 2012-07-29 19:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.8.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Scharrenberg 2012-07-17 15:42:07 UTC
After setting "toggle auto" to one of the three other values than "none" I cannot set it back to "none" (see Steps to Reproduce)

Reproducible: Always

Steps to Reproduce:
1. open tags filter
2. right click to open menu
3. set "toggle auto" to someting other than "none"
4. right click to open menu
5. set "toggle auto" to "none"
6. right click to open menu and look at "toggle auto". The value is still the value of step 3
Comment 1 Marcel Wiesweg 2012-07-29 19:02:31 UTC
Git commit ef79894824ad82444be1167e7e74e5c7f1aecc63 by Marcel Wiesweg.
Committed on 29/07/2012 at 21:01.
Pushed by mwiesweg into branch 'master'.

There was a small bug in handling the custom action. Use a standard signal/userdata pattern instead
to retrieve the select toggle auto mode.

M  +2    -1    NEWS
M  +17   -25   digikam/tags/tagcheckview.cpp
M  +1    -1    digikam/tags/tagcheckview.h

http://commits.kde.org/digikam/ef79894824ad82444be1167e7e74e5c7f1aecc63